Bug 1475451 - [abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display killed by signal 11
[abrt] libgnomekbd: get_preferred_height_for_width(): gkbd-keyboard-display k...
Status: NEW
Product: Fedora
Classification: Fedora
Component: libgnomekbd (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f44ff98993289abf2a986358dd3...
:
: 1476450 1488699 1492089 1494877 1496175 1497618 1500869 1505014 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-26 13:48 EDT by Vinay S Shastry
Modified: 2017-11-11 04:47 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.53 KB, text/plain)
2017-07-26 13:48 EDT, Vinay S Shastry
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-26 13:48 EDT, Vinay S Shastry
no flags Details
File: core_backtrace (17.78 KB, text/plain)
2017-07-26 13:48 EDT, Vinay S Shastry
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: dso_list (8.60 KB, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: environ (1.71 KB, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: maps (46.74 KB, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: open_fds (744 bytes, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-26 13:49 EDT, Vinay S Shastry
no flags Details

  None (edit)
Description Vinay S Shastry 2017-07-26 13:48:49 EDT
Description of problem:
1) Add keyboard layout English (India, with rupee).
2) Show Keyboard Layout in the gnome keyboard layout menu.
3) No layout displayed. Crashes.

Version-Release number of selected component:
libgnomekbd-3.22.0.1-2.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l in eng
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=e54e35c70353490fa57f4ddf2c38dc84;i=20f9;b=6dd38b862c5e405e9c6fe3b400da41cb;m=1916feeb5;t=5553bf5f82bd2;x=ad4d3d8ed6e6e440
kernel:         4.11.11-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_preferred_height_for_width at gkbd-keyboard-drawing.c:2146
 #1 gtk_widget_query_size_for_orientation at gtksizerequest.c:246
 #2 gtk_widget_compute_size_for_orientation at gtksizerequest.c:399
 #3 gtk_widget_get_preferred_height_for_width at gtksizerequest.c:601
 #4 gtk_box_compute_size_for_orientation at gtkbox.c:1981
 #5 gtk_box_get_content_size at gtkbox.c:2074
 #6 gtk_css_custom_gadget_get_preferred_size at gtkcsscustomgadget.c:124
 #7 gtk_css_gadget_get_preferred_size at gtkcssgadget.c:675
 #8 gtk_box_get_preferred_height_and_baseline_for_width at gtkbox.c:2041
 #9 gtk_widget_query_size_for_orientation at gtksizerequest.c:242

Potential duplicate: bug 1390926
Comment 1 Vinay S Shastry 2017-07-26 13:48:56 EDT
Created attachment 1304937 [details]
File: backtrace
Comment 2 Vinay S Shastry 2017-07-26 13:48:57 EDT
Created attachment 1304938 [details]
File: cgroup
Comment 3 Vinay S Shastry 2017-07-26 13:48:59 EDT
Created attachment 1304939 [details]
File: core_backtrace
Comment 4 Vinay S Shastry 2017-07-26 13:49:01 EDT
Created attachment 1304940 [details]
File: cpuinfo
Comment 5 Vinay S Shastry 2017-07-26 13:49:03 EDT
Created attachment 1304941 [details]
File: dso_list
Comment 6 Vinay S Shastry 2017-07-26 13:49:05 EDT
Created attachment 1304942 [details]
File: environ
Comment 7 Vinay S Shastry 2017-07-26 13:49:06 EDT
Created attachment 1304943 [details]
File: exploitable
Comment 8 Vinay S Shastry 2017-07-26 13:49:08 EDT
Created attachment 1304944 [details]
File: limits
Comment 9 Vinay S Shastry 2017-07-26 13:49:10 EDT
Created attachment 1304945 [details]
File: maps
Comment 10 Vinay S Shastry 2017-07-26 13:49:12 EDT
Created attachment 1304946 [details]
File: open_fds
Comment 11 Vinay S Shastry 2017-07-26 13:49:13 EDT
Created attachment 1304947 [details]
File: proc_pid_status
Comment 12 Vinay S Shastry 2017-07-26 13:49:15 EDT
Created attachment 1304948 [details]
File: var_log_messages
Comment 13 Vinay S Shastry 2017-07-26 13:52:04 EDT
I'm also unable to type the Rupee symbol. (With Right Alt + 4.)
Comment 14 a.ahanj 2017-07-29 02:46:09 EDT
*** Bug 1476450 has been marked as a duplicate of this bug. ***
Comment 15 Dawid Zamirski 2017-08-01 15:11:54 EDT
Similar problem has been detected:

Selected pl-PL (Typing Booster) keyboard from the gnome settings menu and chose Show Keyboard Layout 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=0867b1aa53bd49bf8aa9e211a3a50b44;i=5838d;b=e00b5744b80347298517dd37df888966;m=17cdd55e67;t=555b5d76efe2c;x=3de304b578378cdc
kernel:         4.11.11-300.fc26.x86_64
package:        libgnomekbd-3.22.0.1-2.fc26
reason:         gkbd-keyboard-display killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Matheus Ferreira 2017-09-05 21:10:45 EDT
*** Bug 1488699 has been marked as a duplicate of this bug. ***
Comment 17 Jaapsoft 2017-09-15 08:36:05 EDT
*** Bug 1492089 has been marked as a duplicate of this bug. ***
Comment 18 Corey Ashford 2017-09-18 16:49:25 EDT
Similar problem has been detected:

I clicked on the "keyboard" icon within the "Region & Language" dialog.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=2990d1d2ef26468ca8f6dd5bd83edc75;i=20bd2;b=a1432115d31849799cfde055716f0e59;m=1c1bdb0d;t=5594282de5130;x=484c15304a5c6228
kernel:         4.12.12-300.fc26.x86_64
package:        libgnomekbd-3.22.0.1-2.fc26
reason:         gkbd-keyboard-display killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 nimawang 2017-09-23 20:07:00 EDT
*** Bug 1494877 has been marked as a duplicate of this bug. ***
Comment 20 Tseng Chien Chih 2017-09-26 11:20:07 EDT
*** Bug 1496175 has been marked as a duplicate of this bug. ***
Comment 21 edbvkfvelv 2017-10-02 04:07:37 EDT
*** Bug 1497618 has been marked as a duplicate of this bug. ***
Comment 22 tangconghui 2017-10-11 11:52:16 EDT
*** Bug 1500869 has been marked as a duplicate of this bug. ***
Comment 23 jun ozeki 2017-10-21 00:02:57 EDT
*** Bug 1505014 has been marked as a duplicate of this bug. ***
Comment 24 rajesh 2017-11-10 23:20:23 EST
Similar problem has been detected:

while configuring the hindi keyboard layout this problem occured

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gkbd-keyboard-display -l default[lv3:ralt_switch]
crash_function: get_preferred_height_for_width
executable:     /usr/bin/gkbd-keyboard-display
journald_cursor: s=ff52d93072724c8a8bfc3ae31979d4e4;i=6f7;b=2c2584ba633447deb660dffd8383cdbe;m=9ecbd21;t=55dac76943e69;x=6b12e04e2845219b
kernel:         4.11.8-300.fc26.x86_64
package:        libgnomekbd-3.22.0.1-2.fc26
reason:         gkbd-keyboard-display killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Note You need to log in before you can comment on or make changes to this bug.